package net.woodyfolsom.msproj;

import org.junit.Test;

public class TerritoryFinderTest {
	@Test
	public void testMarkTerritory() {
		GameState gameState = new GameState(5);

		gameState.playStone(Player.BLACK, Action.getInstance("A2"));
		gameState.playStone(Player.BLACK, Action.getInstance("B3"));
		gameState.playStone(Player.BLACK, Action.getInstance("C2"));
		gameState.playStone(Player.BLACK, Action.getInstance("B1"));
		gameState.playStone(Player.WHITE, Action.getInstance("E5"));

		TerritoryMarker.markTerritory(gameState.getGameBoard());
		System.out.println(gameState);
	}
}
